Vernier Software and Technology
Vernier Software & Technology
Tech Info Library

What are the system requirements for Vernier Video Physics?

Video Physics 3 requires iOS 8.0 or newer. Supported devices include:

iPhone 4 and newer
iPad 2 and newer
iPad mini
iPod touch (5th generation)

For more information on iOS 8 requirements, please see: http://support.apple.com/kb/DL1758

Go to top